Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 691890 - dev-util/trinity-1.9 : /.../stat.h:19:2: error: unknown type name _s64
Summary: dev-util/trinity-1.9 : /.../stat.h:19:2: error: unknown type name _s64
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Andrew Savchenko
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks:
 
Reported: 2019-08-10 08:21 UTC by Toralf Förster
Modified: 2020-06-04 16:52 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.24 KB, text/plain)
2019-08-10 08:21 UTC, Toralf Förster
Details
dev-util:trinity-1.9:20190810-071226.log (dev-util:trinity-1.9:20190810-071226.log,224.08 KB, text/plain)
2019-08-10 08:21 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,147.99 KB, text/plain)
2019-08-10 08:21 UTC, Toralf Förster
Details
environment (environment,49.86 KB, text/plain)
2019-08-10 08:21 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,10.71 KB, application/x-bzip)
2019-08-10 08:22 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,19.75 KB, application/x-bzip)
2019-08-10 08:22 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2019-08-10 08:21:46 UTC
                 from include/shm.h:6,
                 from syscalls/x86/modify_ldt.c:12:
/usr/include/linux/stat.h:19:2: error: unknown type name ‘__s64’
   19 |  __s64 tv_sec;
      |  ^~~~~
/usr/include/linux/stat.h:20:2: error: unknown type name ‘__u32’

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop-20190807-021845

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.1.0 *

Available Python interpreters, in order of preference:
  [1]   python3.6
  [2]   python2.7 (fallback)
  [3]   jython2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.36.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.12.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpvO dev-util/trinity
[ebuild  N    ] dev-util/trinity-1.9  USE="-examples"
Comment 1 Toralf Förster gentoo-dev 2019-08-10 08:21:49 UTC
Created attachment 586462 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2019-08-10 08:21:52 UTC
Created attachment 586464 [details]
dev-util:trinity-1.9:20190810-071226.log
Comment 3 Toralf Förster gentoo-dev 2019-08-10 08:21:55 UTC
Created attachment 586466 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2019-08-10 08:21:57 UTC
Created attachment 586468 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2019-08-10 08:22:00 UTC
Created attachment 586470 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2019-08-10 08:22:03 UTC
Created attachment 586472 [details]
temp.tbz2
Comment 7 Larry the Git Cow gentoo-dev 2020-06-04 16:52:13 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=60c15141b67ade8a68f93d322e884dc5bd5677c3

commit 60c15141b67ade8a68f93d322e884dc5bd5677c3
Author:     Azamat H. Hackimov <azamat.hackimov@gmail.com>
AuthorDate: 2020-05-29 18:52:19 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2020-06-04 16:51:59 +0000

    dev-util/trinity: upstream patches
    
    Added upstream patches that fixes compilation of package.
    Closes: https://bugs.gentoo.org/691890
    Closes: https://bugs.gentoo.org/713640
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Azamat H. Hackimov <azamat.hackimov@gmail.com>
    Closes: https://github.com/gentoo/gentoo/pull/16007
    Signed-off-by: Aaron Bauman <bman@gentoo.org>

 dev-util/trinity/files/trinity-1.9-gcc10_fix.patch | 34 ++++++++++++++++++++++
 .../files/trinity-1.9-include_types_h.patch        | 33 +++++++++++++++++++++
 dev-util/trinity/trinity-1.9.ebuild                |  7 ++++-
 3 files changed, 73 insertions(+), 1 deletion(-)